Subject: Re: Helper functions for wait_for_catchup() in Cluster.pm

From: Alvaro Herrera <[email-masked]>
Date: Tue, 24 Jan 2023 19:27:28 +0100

Looking again, I have two thoughts for making things easier:

1. I don't think wait_for_write_catchup is necessary, because
calling wait_for_catchup() and omitting the 'mode' and 'lsn' arguments
would already do the same thing.  So what we should do is patch places
that currently give those two arguments, so that they don't.

2. Because wait_for_replay_catchup is an instance method, passing the
second node as argument is needlessly noisy, because that's already
known as $self.  So we can just say

  $primary_node->wait_for_replay_catchup($standby_node);

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/